=== debian/changelog ===
kdeplasma-addons (4:5.18.4.1-0ubuntu2) focal; urgency=medium

  * Fix build on riscv64.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Apr 2020 19:04:19 +0100

kdeplasma-addons (4:5.18.4.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.4.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Apr 2020 19:45:58 +0100

kdeplasma-addons (4:5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:07:23 +0000

kdeplasma-addons (4:5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:29:35 +0000

kdeplasma-addons (4:5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:36:25 +0000

kdeplasma-addons (4:5.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:43:45 +0000

kdeplasma-addons (4:5.17.90-0ubuntu2) focal; urgency=medium

  * drop bds
  * Drop onsolete build deps.

 -- Rik Mills <rikmills@kde.org>  Sat, 18 Jan 2020 19:30:49 +0000

kdeplasma-addons (4:5.17.90-0ubuntu1) focal; urgency=medium

  * Install night-colour control widget files.
  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:07:38 +0000

kdeplasma-addons (4:5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:44:14 +0000

kdeplasma-addons (4:5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:23:31 +0000

kdeplasma-addons (4:5.17.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:04:21 +0000

kdeplasma-addons (4:5.17.2-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.16.90)
  * New upstream release (5.17.0)
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:49:34 +0000
