## kdeplasma-addons 5.18.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.0)
 
 project(kdeplasma-addons)
-set(PROJECT_VERSION "5.18.4")
+set(PROJECT_VERSION "5.18.7")
 set(PROJECT_VERSION_MAJOR 5)
 
 ################# Disallow in-source build #################
@@ -69,9 +69,6 @@
     -DQT_DEPRECATED_WARNINGS
     -DQT_NO_URL_CAST_FROM_STRING
 )
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-endif()
 
 #########################################################################
