## kdeplasma-addons 5.19.5

=== debian/changelog ===
kdeplasma-addons (4:5.19.5-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update lintian overrides

  [ Rik Mills ]
  * New upstream release (5.19.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Sep 2020 12:53:14 +0100

kdeplasma-addons (4:5.19.4-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jul 2020 20:41:32 +0100

kdeplasma-addons (4:5.19.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jul 2020 13:58:27 +0100

kdeplasma-addons (4:5.19.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.0)
  * New upstream release (5.19.1)
  * New upstream release (5.19.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Jun 2020 13:45:00 +0100

kdeplasma-addons (4:5.18.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.18.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 May 2020 23:39:30 +0100
