=== debian/control ===
--- 
+++ 
@@ -5,25 +5,25 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.66.0~),
-               kross-dev (>= 5.66.0~),
-               libkf5archive-dev (>= 5.66.0~),
-               libkf5config-dev (>= 5.66.0~),
-               libkf5coreaddons-dev (>= 5.66.0~),
-               libkf5declarative-dev (>= 5.66.0~),
-               libkf5holidays-dev (>= 1:5.66.0~),
-               libkf5i18n-dev (>= 5.66.0~),
-               libkf5iconthemes-dev (>= 5.66.0~),
-               libkf5kcmutils-dev (>= 5.66.0~),
-               libkf5kio-dev (>= 5.66.0~),
-               libkf5newstuff-dev (>= 5.66.0~),
-               libkf5notifications-dev (>= 5.66.0~),
-               libkf5plasma-dev (>= 5.66.0~),
-               libkf5runner-dev (>= 5.66.0~),
-               libkf5service-dev (>= 5.66.0~),
-               libkf5sonnet-dev (>= 5.66.0~),
-               libkf5unitconversion-dev (>= 5.66.0~),
-               libkf5windowsystem-dev (>= 5.66.0~),
+               extra-cmake-modules (>= 5.70.0~),
+               kross-dev (>= 5.70.0~),
+               libkf5archive-dev (>= 5.70.0~),
+               libkf5config-dev (>= 5.70.0~),
+               libkf5coreaddons-dev (>= 5.70.0~),
+               libkf5declarative-dev (>= 5.70.0~),
+               libkf5holidays-dev (>= 1:5.70.0~),
+               libkf5i18n-dev (>= 5.70.0~),
+               libkf5iconthemes-dev (>= 5.70.0~),
+               libkf5kcmutils-dev (>= 5.70.0~),
+               libkf5kio-dev (>= 5.70.0~),
+               libkf5newstuff-dev (>= 5.70.0~),
+               libkf5notifications-dev (>= 5.70.0~),
+               libkf5plasma-dev (>= 5.70.0~),
+               libkf5runner-dev (>= 5.70.0~),
+               libkf5service-dev (>= 5.70.0~),
+               libkf5sonnet-dev (>= 5.70.0~),
+               libkf5unitconversion-dev (>= 5.70.0~),
+               libkf5windowsystem-dev (>= 5.70.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.9.0~),
@@ -50,7 +50,7 @@
 Package: kwin-addons
 Architecture: any
 Depends: kdeplasma-addons-data (= ${source:Version}),
-         kwin-x11 (>= 4:5.18.0) | kwin,
+         kwin-x11 (>= 4:5.19.0~) | kwin,
          plasma-framework (>= 5.54.0~),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -141,7 +141,7 @@
          kpackagetool5,
          plasma-dataengines-addons (= ${binary:Version}),
          plasma-framework (>= 5.54.0~),
-         plasma-workspace (>= 4:5.18.0),
+         plasma-workspace (>= 4:5.19.0~),
          qml-module-org-kde-draganddrop,
          qml-module-org-kde-kcoreaddons,
          qml-module-org-kde-kio,
@@ -155,7 +155,7 @@
          qml-module-qtwebkit,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: ksysguard (>= 4:5.18.0)
+Recommends: ksysguard (>= 4:5.19.0~)
 Description: additional widgets for Plasma 5
  This package contains additional Plasma 5 widgets shipped in the Plasma
  addons module. Install it if you want a variety of widgets on your Plasma
