## kdeplasma-addons 5.20.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.0)
 
 project(kdeplasma-addons)
-set(PROJECT_VERSION "5.18.7")
+set(PROJECT_VERSION "5.20.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 ################# Disallow in-source build #################
@@ -10,7 +10,10 @@
 endif()
 
 set(QT_MIN_VERSION 5.12.0)
-set(KF5_MIN_VERSION 5.58.0)
+set(KF5_MIN_VERSION 5.72.0)
+
+set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 include(FeatureSummary)
 
@@ -34,6 +37,7 @@
     Quick
     Qml
     Widgets
+    Test
 )
 
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
