=== applets/calculator/CMakeLists.txt ===
plasma_install_package(package org.kde.plasma.calculator)
