=== applets/quicklaunch/plugin/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,8 @@
     Qt5::Core
     Qt5::Qml
     KF5::KIOCore
-    KF5::KIOWidgets)
+    KF5::KIOWidgets
+    KF5::Notifications)
 
 install(TARGETS quicklaunchplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/quicklaunch)
 install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/quicklaunch)
