=== debian/changelog ===
kdeplasma-addons (4:5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:51 +0900

kdeplasma-addons (4:5.20.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:36 +0900

kdeplasma-addons (4:5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.20.4).
  * Update list of installed files.

  [ John Scott ]
  * Suggest the quota package needed for the Disk Quota desktop widget.

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:31 +0900

kdeplasma-addons (4:5.19.5-4) unstable; urgency=medium

  [ Scarlett Moore ]
  * Remove obsolete entries in d/upstream/metadata already
    defined in d/copyright.
  * Add Multi-Arch according to multiarch hints.
  * Tighten runtime dependency versions.

 -- Norbert Preining <norbert@preining.info>  Fri, 06 Nov 2020 08:37:22 +0900

kdeplasma-addons (4:5.19.5-3) experimental; urgency=medium

  * Rebuild for Qt 5.15

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:27:39 +0900

kdeplasma-addons (4:5.19.5-2) experimental; urgency=medium

  * Fix FTBFS on non-QtWebEngine platforms.

 -- Norbert Preining <norbert@preining.info>  Fri, 23 Oct 2020 10:03:11 +0900

kdeplasma-addons (4:5.19.5-1) experimental; urgency=medium

  * New upstream release (5.19.5).
  * Add Patrick and myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 10:36:33 +0900

kdeplasma-addons (4:5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Bump compat level to 13.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.18.5).
  * Update build-deps and deps with the info from cmake.
  * Refresh install file for 3 new addons:
    dict, nightcolorcontrol, webbrowser.
  * Delete not needed Breaks/Confilcts.
  * Add myself to Uploaders.
  * Remove not needed injection of linker flags.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Set/Update field Upstream-Contact in debian/copyright.

  [ Patrick Franz ]
  * Add hardening=+all build flag.
  * Update matching files in debian/copyright.
  * Update data in /debian/upstream/metadata.
  * New upstream version (5.19.4).
  * Bump Qt build-dependencies to 5.14.
  * Bump KF5 build-dependencies to 5.70.
  * Change Maintainer in debian/control to Debian Qt/KDE Maintainers.
  * Remove Maxy from Uploaders as requested.

 -- Norbert Preining <norbert@preining.info>  Fri, 16 Oct 2020 10:30:54 +0900

kdeplasma-addons (4:5.17.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 21:12:20 +0100

kdeplasma-addons (4:5.17.5-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (5.16.5).
  * Update build-deps and deps with the info from cmake
  * Salsa CI automatic initialization by Tuco

  [ Pino Toscano ]
  * New upstream release.
  * Update the patches:
    - upstream_Fix-build.patch: drop, backported from upstream
  * Update the build dependencies according to the upstream build system:
    - remove unused: kinit-dev, libboost-dev, libgee-0.8-dev, libglib2.0-dev,
      libibus-1.0-dev, libkf5activities-dev, libkf5configwidgets-dev,
      libkf5itemmodels-dev, libkf5kdelibs4support-dev, libkf5sysguard-dev,
      libqt5x11extras5-dev, libscim-dev, libx11-dev, libxcb-image0-dev,
      libxcb-keysyms1-dev, libxcb-shm0-dev, libxcb1-dev, plasma-workspace-dev,
      and shared-mime-info (Closes: #661366)
  * Drop the kde-l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Update install files.
  * Unregister old conffiles.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Jan 2020 19:22:44 +0100
